net.minecraft.event

## Enum ClickEvent.Action

- java.lang.Object
- - java.lang.Enum<ClickEvent.Action>
  - - net.minecraft.event.ClickEvent.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ClickEvent.Action>
  Enclosing class:
    ClickEvent

      public static enum ClickEvent.Action
      extends java.lang.Enum<ClickEvent.Action>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPEN_FILE`
    `OPEN_URL`
    `RUN_COMMAND`
    `SUGGEST_COMMAND`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCanonicalName()`
    `static ClickEvent.Action` | `getValueByCanonicalName(java.lang.String p_150672_0_)`
    `boolean` | `shouldAllowInChat()`
    `static ClickEvent.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ClickEvent.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN_URL

          public static final ClickEvent.Action OPEN_URL

    - #### OPEN_FILE

          public static final ClickEvent.Action OPEN_FILE

    - #### RUN_COMMAND

          public static final ClickEvent.Action RUN_COMMAND

    - #### SUGGEST_COMMAND

          public static final ClickEvent.Action SUGGEST_COMMAND

  - ### Method Detail

    - #### values

          public static ClickEvent.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClickEvent.Action c : ClickEvent.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClickEvent.Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### shouldAllowInChat

          public boolean shouldAllowInChat()

    - #### getCanonicalName

          public java.lang.String getCanonicalName()

    - #### getValueByCanonicalName

          public static ClickEvent.Action getValueByCanonicalName(java.lang.String p_150672_0_)